Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 446614 - app-emulation/vmware-workstation-9.0.1.894247 - vmui| I120: SymBacktrace[0] 00007fff80c53fc0 rip=00007f73776dfccc in function Util_BacktraceWithFunc in object /opt/vmware/lib/vmware/lib/libvmwarebase.so.0/libvmwarebase.so.0 loaded at [...]
Summary: app-emulation/vmware-workstation-9.0.1.894247 - vmui| I120: SymBacktrace[0] 0...
Status: RESOLVED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo VMWare Bug Squashers [disabled]
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-09 16:36 UTC by Kenton Groombridge
Modified: 2013-12-27 16:36 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
vmwarelogs.tar.gz (vmwarelogs.tar.gz,6.91 KB, application/x-gzip)
2012-12-09 16:36 UTC, Kenton Groombridge
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kenton Groombridge 2012-12-09 16:36:31 UTC
Created attachment 331882 [details]
vmwarelogs.tar.gz

Upgraded from vmware-workstation-8.0.4.744019-r1 to vmware-workstation-9.0.1.894247

Performed the following as root:

# emerge --config vmware-workstation
Configuring pkg...

Stopped all configured services on all networks
Backed up existing network settings to backup file "/tmp/vmware.2DPncn"
Restored network settings


# /etc/init.d/vmware start
 * Starting VMware USB Arbitrator ...                                                          [ ok ]
 * Starting VMware services ...                                                                [ ok ]
Started Bridge networking on vmnet0
Enabled hostonly virtual adapter on vmnet1
Enabled hostonly virtual adapter on vmnet2
Started NAT service on vmnet8
Enabled hostonly virtual adapter on vmnet8
Started DHCP service on vmnet8
Started all configured services on all networks                                                [ ok ]



Run as user:

$ vmware
Aborted


Downgrading to vmware-workstation-8.0.4.744019-r1 and vmware executes as expected.

I played with this on and off for several weeks using the test ebuilds trying to figure this out and have had no success.

# emerge --info
Portage 2.1.11.34 (default/linux/amd64/10.0/desktop, gcc-4.7.2, glibc-2.16.0, 3.6.8-gentoo x86_64)
=================================================================
System uname: Linux-3.6.8-gentoo-x86_64-Intel-R-_Core-TM-_i7_CPU_Q_720_@_1.60GHz-with-gentoo-2.2
Timestamp of tree: Sun, 09 Dec 2012 01:00:01 +0000
ld GNU ld (GNU Binutils) 2.23.1
app-shells/bash:          4.2_p39
dev-java/java-config:     2.1.12-r1
dev-lang/python:          2.7.3-r2, 3.2.3-r1
dev-util/cmake:           2.8.10.2
dev-util/pkgconfig:       0.27.1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.6
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.12.5
sys-devel/binutils:       2.23.1
sys-devel/gcc:            4.6.3, 4.7.2
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.6 (virtual/os-headers)
sys-libs/glibc:           2.16.0
Repositories: gentoo x-portage
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA Nero-EULA-US dlj-1.1 AdobeFlash-10.1 Oracle-BCLA-JavaSE AdobeFlash-10.3"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native -mtune=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/polkit-1/actions /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -march=native -mtune=native"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--autounmask=n"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://chi-10g-1-mirror.fastsoft.net/pub/linux/gentoo/gentoo-distfiles/ http://mirrors.163.com/gentoo/ ftp://ftp.swin.edu.au/gentoo"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--timeout=120"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext S3TC X a52 aac aacplus acpi aften alsa amd64 apng ares audiofile bash-completion binary-drivers branding bzip2 cairo cdda cddb cdparanoia cdr cdrom consolekit cracklib crypt css cuda cups curl cxx dbus djbfft dri dtmf dts dv dvb dvd dvdnav dvdr embedded emboss emoticon encode exif expat extras fame ffmpeg fftw firefox firefox3 flac foomaticdb fortran fuse g3dvl gcj gdbm gecko gif gimp glibc-omitfp glut gnutls graphite gtk gtk3 gzip http iconv icu imagemagick imlib iproute2 ipv6 java java6 javascript jit joystick jpeg jpeg2k kde kdm kipi lame laptop lcms ldap libnotify libv4l2 libvisual live lm_sensors lua lzo mad maps mdnsresponder-compat mikmod minizip mjpeg mmx mmxext mng modules mp3 mp4 mpeg mplayer multilib musicbrainz mysql ncurses network nls normalize nptl nsplugin nspr offensive offlinehelp ogg openal opengl openmp openssl pam pango pcre pdf physfs pkcs11 png policykit ppds projectm python qt3support qt4 quicktime rar readline rss rtc samba sasl sdl semantic-desktop server sip sipim smartcard smbclient sound spell sse sse2 sse3 ssl ssse3 startup-notification subtitles svg sysfs syslog tcpd templates theora threadsafe tiff transcode truetype udev udisks unicode unzip upower urandom usb userlocales utempter v4l v4l2 vaapi vcd vdpau videos vlc vnc vorbis wav wifi with-tools wma wma-fixed wmf wxwidgets x264 xcb xcomposite xine xml xpm xscreensaver xulrunner xv xvid xvmc zeroconf zip zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="canon ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en en_US" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby18 ruby19" SANE_BACKENDS="epson" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, USE_PYTHON
Comment 1 Kenton Groombridge 2012-12-18 14:29:24 UTC
Thinking that it may have been a package that was corrupted, didn't have proper patches, etc, I performed an emerge -e vmware-workstation.  Unfortunately this didn't change the outcome.

I installed vmware-workstation on my desktop which has similar useflags as my laptop and it executes without issue.  I am beginning to think it may be something with my laptop, but downgrading to version 8, and vmware executes as expected.
Comment 2 Zhu Sha Zang 2013-02-13 10:37:51 UTC
Same here.
Comment 3 Kenton Groombridge 2013-03-10 15:13:19 UTC
Installing vmware-workstation-9.0.2.1031769 made no difference.  Backing down to the most recent 8.X version "vmware-workstation-8.0.5.893925", and all is well.
Comment 4 Kenton Groombridge 2013-03-11 17:49:52 UTC
Found a solution:

See:

https://bugs.archlinux.org/task/33779?project=1&order=dateopened&sort=desc

Backing down to net-misc/curl-7.28.1 and vmware-workstation-9.X is running on my system.
Comment 5 Kenton Groombridge 2013-03-11 18:33:13 UTC
Sorry for multiple posting, but wanted to ensure I could recreate the problem so I went back to net-misc/curl-7.29.0-r1 and vmware-workstation-9.0.2.1031769 is running without problems.

I am dumbfounded as I don't know what "magically" happened.  The only thing I changed was downgrading curl and going back to the most recent version as of the day of this post.

I rebooted just to be sure that I am using net-misc/curl-7.29.0-r1.

I hate it when it does this.
Comment 6 Andreas K. Hüttel gentoo-dev 2013-12-27 16:36:44 UTC
Well... unfortunately there's no setting RESOLVED ABSOLUTELYNOCLUE, so NEEDINFO will have to suffice. If you encounter problems again, feel free to re-open or better open a new bug.